ExecutionStrategyInfo (Hyperic HQ Plugin API)
Keywords: org.hyperic.hq.galerts.server.session.ExecutionStrategyInfo class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.galerts.server.session
Class ExecutionStrategyInfo

    java.lang.Object
      org.hyperic.hibernate.PersistedObject
          org.hyperic.hq.galerts.server.session.ExecutionStrategyInfo

All Implemented Interfaces:
  java.io.Serializable

    public class ExecutionStrategyInfo

extends PersistedObject

See Also:
  Serialized Form

Constructor Summary
`protected` | `ExecutionStrategyInfo()`

Method Summary
`boolean` | `equals(java.lang.Object o)`
`GalertDef` | `getAlertDef()`
`ConfigResponse` | `getConfig()`
`protected Crispo` | `getConfigCrispo()`
`GalertDefPartition` | `getPartition()`
`protected int` | `getPartitionEnum()`
`ExecutionStrategy` | `getStrategy()`
`protected java.util.List` | `getTriggerList()`
`java.util.List` | `getTriggers()`
`ExecutionStrategyTypeInfo` | `getType()`
`int` | `hashCode()`
`protected void` | `setAlertDef(GalertDef def)`
`protected void` | `setConfigCrispo(Crispo config)`
`protected void` | `setPartitionEnum(int partition)`
`protected void` | `setTriggerList(java.util.List triggers)`
`protected void` | `setType(ExecutionStrategyTypeInfo type)`

Methods inherited from class org.hyperic.hibernate.PersistedObject
`get_version_, getId, set_version_, setId`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ExecutionStrategyInfo

    protected ExecutionStrategyInfo()

Method Detail

### getAlertDef

    public GalertDef getAlertDef()

### setAlertDef

    protected void setAlertDef(GalertDef def)

### getType

    public ExecutionStrategyTypeInfo getType()

### setType

    protected void setType(ExecutionStrategyTypeInfo type)

### getConfigCrispo

    protected Crispo getConfigCrispo()

### setConfigCrispo

    protected void setConfigCrispo(Crispo config)

### getConfig

    public ConfigResponse getConfig()

### getStrategy

    public ExecutionStrategy getStrategy()

### getPartition

    public GalertDefPartition getPartition()

### getPartitionEnum

    protected int getPartitionEnum()

### setPartitionEnum

    protected void setPartitionEnum(int partition)

### getTriggers

    public java.util.List getTriggers()

### getTriggerList

    protected java.util.List getTriggerList()

### setTriggerList

    protected void setTriggerList(java.util.List triggers)

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `PersistedObject`

### equals

    public boolean equals(java.lang.Object o)

  Overrides:
    `equals` in class `PersistedObject`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.